import pandas as pd
from tabulate import tabulate
from IPython.display import display

def display_table_in_jupyter(metrics_dict):
    try:
        metrics_df = pd.DataFrame(metrics_dict)
        styled_df = metrics_df.style.format({
            "Value": "{:.4f}"  # Adjust format as needed
        }).set_table_styles([
            {'selector': 'thead th',
             'props': [('background-color', '#f7f7f9'), ('color', '#333'), ('font-weight', 'bold')]},
            {'selector': 'tbody td', 'props': [('text-align', 'center')]},
        ]).set_properties(**{
            'background-color': '#f4f4f9',  # Light background for table cells
            'border': '1px solid #ddd',  # Border for table cells
        })
        display(styled_df)

    except Exception:
        print(tabulate(metrics_dict.items(), headers=["Evaluation Metric", "Value"], tablefmt="grid"))
